import Foundation

struct OverviewPageTemplate: Template {

    enum Key: String, CaseIterable {
        case head = "HEAD"
        case topBar = "TOP_BAR"
        case backLink = "BACK_LINK"
        case title = "TITLE"
        case subtitle = "SUBTITLE"
        case titleText = "TITLE_TEXT"
        case sections = "SECTIONS"
        case footer = "FOOTER"
    }

    let raw: String

    static let templateName = "overview-page.html"
}
