import Foundation

struct ContentPageTemplate: Template {

    enum Key: String, CaseIterable {
        case head = "HEAD"
        case topBar = "TOP_BAR"
        case backLink = "BACK_LINK"
        case title = "TITLE"
        case subtitle = "SUBTITLE"
        case date = "DATE"
        case content = "CONTENT"
        case previousPageLinkText = "PREV_TEXT"
        case previousPageUrl = "PREV_LINK"
        case nextPageLinkText = "NEXT_TEXT"
        case nextPageUrl = "NEXT_LINK"
        case footer = "FOOTER"
    }

    static let templateName = "page.html"

    let raw: String
}
